﻿@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@model IS4SSO.STS.Identity.ViewModels.Consent.ScopeViewModel

<li class="list-group-item">
	<div class="toggle-button__input">
		<toggle-button>
			<input class="consent-scopecheck"
				   type="checkbox"
				   name="ScopesConsented"
				   id="scopes_@Model.Name"
				   value="@Model.Name"
				   checked="@Model.Checked"
				   disabled="@Model.Required" />
		</toggle-button>
	</div>
	<div class="toggle-button__text">
		@if (Model.Required)
		{
			<input type="hidden"
				   name="ScopesConsented"
				   value="@Model.Name" />
		}
		<strong>@Model.DisplayName</strong>
		@if (Model.Emphasize)
		{
			<i class="fa fa-exclamation-circle"></i>
		}
	</div>
	@if (Model.Required)
	{
		<div class="toggle-button__text">
			<span><em>@Localizer["Required"]</em></span>
		</div>
	}
	@if (Model.Description != null)
	{
		<div class="consent-description">
			<label for="scopes_@Model.Name">@Model.Description</label>
		</div>
	}
</li>